de.esprit.netsuite.eclient

## Class EspritClientLaunch

- java.lang.Object
- - de.esprit.appsuite.launch.AbstractApplicationLaunch<G,C>
  - - de.esprit.netsuite.client.AbstractClientLaunch<ClientConfig,GuiClientContext>
    - - de.esprit.netsuite.eclient.EspritClientLaunch

-     public class EspritClientLaunch
      extends AbstractClientLaunch<ClientConfig,GuiClientContext>

  This class launches the `EspritClientLaunch` tool. It establishes the `RequestChannel` and `MessageChannel` connections and launches the `EspritClientLoginFrame`.
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from class de.esprit.appsuite.launch.AbstractApplicationLaunch

      `DO_NOT_EXIT, EXIT_CODE_CLP_ERROR, EXIT_CODE_LAUNCH_ERROR, isTestMode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EspritClientLaunch(ClientConfig cfg)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ApplicationCommandLineParser` | `createCommandLineParser(java.lang.String[] args)` Creates the CommandLineParser instance for launching the application.
    `protected GuiClientContext` | `createContext(ClientConfig cfg)` Creates the application context from the Config object.
    `protected ZFrame` | `launchMainFrame(GuiClientContext ctx)` Must be implemented for running a GUI application.
    `static void` | `main(java.lang.String[] args)`

    - ### Methods inherited from class de.esprit.netsuite.client.AbstractClientLaunch

      `doOnMainFrameCreated`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationLaunch

      `createSplashIcon, doOnContextCreated, getError, getLaunchedContext, getLaunchedMainFrame, handleCommandLineError, handleLaunchError, hasError, hasGui, launch, launchApplication, setTestMode, showFatalError, showFatalError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EspritClientLaunch

          public EspritClientLaunch(ClientConfig cfg)

  - ### Method Detail

    - #### launchMainFrame

          protected ZFrame launchMainFrame(GuiClientContext ctx)

      Description copied from class: `AbstractApplicationLaunch`
      Must be implemented for running a GUI application. Note that this method is executed within the ET Thread.
      Overrides:
        `launchMainFrame` in class `AbstractApplicationLaunch<ClientConfig,GuiClientContext>`

    - #### createCommandLineParser

          protected ApplicationCommandLineParser createCommandLineParser(java.lang.String[] args)

      Description copied from class: `AbstractApplicationLaunch`
      Creates the CommandLineParser instance for launching the application.
      Overrides:
        `createCommandLineParser` in class `AbstractClientLaunch<ClientConfig,GuiClientContext>`

    - #### createContext

          protected GuiClientContext createContext(ClientConfig cfg)
                                            throws java.lang.Exception

      Description copied from class: `AbstractApplicationLaunch`
      Creates the application context from the Config object.
      Specified by:
        `createContext` in class `AbstractApplicationLaunch<ClientConfig,GuiClientContext>`
      Throws:
        `java.lang.Exception`

    - #### main

          public static void main(java.lang.String[] args)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.